com.corticon.rulesemf.canonicalrulemodel.ruleflow

## Interface RuleActivity

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RuleModelElement
  All Known Subinterfaces:
    Connector, Flow, PRuleset, Ruleflow, Subflow

      public interface RuleActivity
      extends RuleModelElement

  A representation of the model object 'Rule Activity'.

  The following features are supported:

  - `Domain`
  See Also:
    `RuleflowPackage.getRuleActivity()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDomain()` Returns the value of the 'Domain' attribute
    `void` | `setDomain(java.lang.String value)` Sets the value of the '`Domain`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.RuleModelElement

      `getDocumentingRuleStatements`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDomain

          java.lang.String getDomain()

      Returns the value of the 'Domain' attribute.

      If the meaning of the 'Domain' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Domain' attribute.
      See Also:
        `setDomain(String)`, `RuleflowPackage.getRuleActivity_Domain()`

    - #### setDomain

          void setDomain(java.lang.String value)

      Sets the value of the '`Domain`' attribute.
      Parameters:
        `value` - the new value of the 'Domain' attribute.
      See Also:
        `getDomain()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.